package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * (IcSpecialH)实体类
 *
 * @author makejava
 * @since 2023-12-05 16:05:31
 */
public class IcSpecialHEntity extends BaseEntity {

    private String bccountflag;
    private String cauditorid;
    private String cbilltypecode;
    private String cinbsrid;
    private String cindeptid;
    private String cinwarehouseid;
    private String clastmodiid;
    private String coperatorid;
    private String coutbsor;
    private String coutdeptid;
    private String coutwarehouseid;
    private String cshlddiliverdate;
    private String cspecialhid;
    private String dbilldate;
    private String denddate;
    private Integer dr;
    private String fassistantflag;
    private Integer fbillflag;
    private Integer icheckmode;
    private Integer iprintcount;
    private Double nfixdisassemblymny;
    private String pkCorp;
    private String pkDefdoc1;
    private String pkDefdoc10;
    private String pkDefdoc11;
    private String pkDefdoc12;
    private String pkDefdoc13;
    private String pkDefdoc14;
    private String pkDefdoc15;
    private String pkDefdoc16;
    private String pkDefdoc17;
    private String pkDefdoc18;
    private String pkDefdoc19;
    private String pkDefdoc2;
    private String pkDefdoc20;
    private String pkDefdoc3;
    private String pkDefdoc4;
    private String pkDefdoc5;
    private String pkDefdoc6;
    private String pkDefdoc7;
    private String pkDefdoc8;
    private String pkDefdoc9;
    private String tlastmoditime;
    private String tmaketime;
    private String ts;
    private String vadjuster;
    private String vbillcode;
    private String vnote;
    private String vshldarrivedate;
    private String vuserdef1;
    private String vuserdef10;
    private String vuserdef11;
    private String vuserdef12;
    private String vuserdef13;
    private String vuserdef14;
    private String vuserdef15;
    private String vuserdef16;
    private String vuserdef17;
    private String vuserdef18;
    private String vuserdef19;
    private String vuserdef2;
    private String vuserdef20;
    private String vuserdef3;
    private String vuserdef4;
    private String vuserdef5;
    private String vuserdef6;
    private String vuserdef7;
    private String vuserdef8;
    private String vuserdef9;
    private String start_time_dbilldate;
    private String end_time_dbilldate;


    public String getStart_time_dbilldate() {
        return start_time_dbilldate;
    }

    public void setStart_time_dbilldate(String start_time_dbilldate) {
        this.start_time_dbilldate = start_time_dbilldate;
    }

    public String getEnd_time_dbilldate() {
        return end_time_dbilldate;
    }

    public void setEnd_time_dbilldate(String end_time_dbilldate) {
        this.end_time_dbilldate = end_time_dbilldate;
    }

    public String getBccountflag() {
        return bccountflag;
    }

    public void setBccountflag(String bccountflag) {
        this.bccountflag = bccountflag;
    }

    public String getCauditorid() {
        return cauditorid;
    }

    public void setCauditorid(String cauditorid) {
        this.cauditorid = cauditorid;
    }

    public String getCbilltypecode() {
        return cbilltypecode;
    }

    public void setCbilltypecode(String cbilltypecode) {
        this.cbilltypecode = cbilltypecode;
    }

    public String getCinbsrid() {
        return cinbsrid;
    }

    public void setCinbsrid(String cinbsrid) {
        this.cinbsrid = cinbsrid;
    }

    public String getCindeptid() {
        return cindeptid;
    }

    public void setCindeptid(String cindeptid) {
        this.cindeptid = cindeptid;
    }

    public String getCinwarehouseid() {
        return cinwarehouseid;
    }

    public void setCinwarehouseid(String cinwarehouseid) {
        this.cinwarehouseid = cinwarehouseid;
    }

    public String getClastmodiid() {
        return clastmodiid;
    }

    public void setClastmodiid(String clastmodiid) {
        this.clastmodiid = clastmodiid;
    }

    public String getCoperatorid() {
        return coperatorid;
    }

    public void setCoperatorid(String coperatorid) {
        this.coperatorid = coperatorid;
    }

    public String getCoutbsor() {
        return coutbsor;
    }

    public void setCoutbsor(String coutbsor) {
        this.coutbsor = coutbsor;
    }

    public String getCoutdeptid() {
        return coutdeptid;
    }

    public void setCoutdeptid(String coutdeptid) {
        this.coutdeptid = coutdeptid;
    }

    public String getCoutwarehouseid() {
        return coutwarehouseid;
    }

    public void setCoutwarehouseid(String coutwarehouseid) {
        this.coutwarehouseid = coutwarehouseid;
    }

    public String getCshlddiliverdate() {
        return cshlddiliverdate;
    }

    public void setCshlddiliverdate(String cshlddiliverdate) {
        this.cshlddiliverdate = cshlddiliverdate;
    }

    public String getCspecialhid() {
        return cspecialhid;
    }

    public void setCspecialhid(String cspecialhid) {
        this.cspecialhid = cspecialhid;
    }

    public String getDbilldate() {
        return dbilldate;
    }

    public void setDbilldate(String dbilldate) {
        this.dbilldate = dbilldate;
    }

    public String getDenddate() {
        return denddate;
    }

    public void setDenddate(String denddate) {
        this.denddate = denddate;
    }

    public Integer getDr() {
        return dr;
    }

    public void setDr(Integer dr) {
        this.dr = dr;
    }

    public String getFassistantflag() {
        return fassistantflag;
    }

    public void setFassistantflag(String fassistantflag) {
        this.fassistantflag = fassistantflag;
    }

    public Integer getFbillflag() {
        return fbillflag;
    }

    public void setFbillflag(Integer fbillflag) {
        this.fbillflag = fbillflag;
    }

    public Integer getIcheckmode() {
        return icheckmode;
    }

    public void setIcheckmode(Integer icheckmode) {
        this.icheckmode = icheckmode;
    }

    public Integer getIprintcount() {
        return iprintcount;
    }

    public void setIprintcount(Integer iprintcount) {
        this.iprintcount = iprintcount;
    }

    public Double getNfixdisassemblymny() {
        return nfixdisassemblymny;
    }

    public void setNfixdisassemblymny(Double nfixdisassemblymny) {
        this.nfixdisassemblymny = nfixdisassemblymny;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkDefdoc1() {
        return pkDefdoc1;
    }

    public void setPkDefdoc1(String pkDefdoc1) {
        this.pkDefdoc1 = pkDefdoc1;
    }

    public String getPkDefdoc10() {
        return pkDefdoc10;
    }

    public void setPkDefdoc10(String pkDefdoc10) {
        this.pkDefdoc10 = pkDefdoc10;
    }

    public String getPkDefdoc11() {
        return pkDefdoc11;
    }

    public void setPkDefdoc11(String pkDefdoc11) {
        this.pkDefdoc11 = pkDefdoc11;
    }

    public String getPkDefdoc12() {
        return pkDefdoc12;
    }

    public void setPkDefdoc12(String pkDefdoc12) {
        this.pkDefdoc12 = pkDefdoc12;
    }

    public String getPkDefdoc13() {
        return pkDefdoc13;
    }

    public void setPkDefdoc13(String pkDefdoc13) {
        this.pkDefdoc13 = pkDefdoc13;
    }

    public String getPkDefdoc14() {
        return pkDefdoc14;
    }

    public void setPkDefdoc14(String pkDefdoc14) {
        this.pkDefdoc14 = pkDefdoc14;
    }

    public String getPkDefdoc15() {
        return pkDefdoc15;
    }

    public void setPkDefdoc15(String pkDefdoc15) {
        this.pkDefdoc15 = pkDefdoc15;
    }

    public String getPkDefdoc16() {
        return pkDefdoc16;
    }

    public void setPkDefdoc16(String pkDefdoc16) {
        this.pkDefdoc16 = pkDefdoc16;
    }

    public String getPkDefdoc17() {
        return pkDefdoc17;
    }

    public void setPkDefdoc17(String pkDefdoc17) {
        this.pkDefdoc17 = pkDefdoc17;
    }

    public String getPkDefdoc18() {
        return pkDefdoc18;
    }

    public void setPkDefdoc18(String pkDefdoc18) {
        this.pkDefdoc18 = pkDefdoc18;
    }

    public String getPkDefdoc19() {
        return pkDefdoc19;
    }

    public void setPkDefdoc19(String pkDefdoc19) {
        this.pkDefdoc19 = pkDefdoc19;
    }

    public String getPkDefdoc2() {
        return pkDefdoc2;
    }

    public void setPkDefdoc2(String pkDefdoc2) {
        this.pkDefdoc2 = pkDefdoc2;
    }

    public String getPkDefdoc20() {
        return pkDefdoc20;
    }

    public void setPkDefdoc20(String pkDefdoc20) {
        this.pkDefdoc20 = pkDefdoc20;
    }

    public String getPkDefdoc3() {
        return pkDefdoc3;
    }

    public void setPkDefdoc3(String pkDefdoc3) {
        this.pkDefdoc3 = pkDefdoc3;
    }

    public String getPkDefdoc4() {
        return pkDefdoc4;
    }

    public void setPkDefdoc4(String pkDefdoc4) {
        this.pkDefdoc4 = pkDefdoc4;
    }

    public String getPkDefdoc5() {
        return pkDefdoc5;
    }

    public void setPkDefdoc5(String pkDefdoc5) {
        this.pkDefdoc5 = pkDefdoc5;
    }

    public String getPkDefdoc6() {
        return pkDefdoc6;
    }

    public void setPkDefdoc6(String pkDefdoc6) {
        this.pkDefdoc6 = pkDefdoc6;
    }

    public String getPkDefdoc7() {
        return pkDefdoc7;
    }

    public void setPkDefdoc7(String pkDefdoc7) {
        this.pkDefdoc7 = pkDefdoc7;
    }

    public String getPkDefdoc8() {
        return pkDefdoc8;
    }

    public void setPkDefdoc8(String pkDefdoc8) {
        this.pkDefdoc8 = pkDefdoc8;
    }

    public String getPkDefdoc9() {
        return pkDefdoc9;
    }

    public void setPkDefdoc9(String pkDefdoc9) {
        this.pkDefdoc9 = pkDefdoc9;
    }

    public String getTlastmoditime() {
        return tlastmoditime;
    }

    public void setTlastmoditime(String tlastmoditime) {
        this.tlastmoditime = tlastmoditime;
    }

    public String getTmaketime() {
        return tmaketime;
    }

    public void setTmaketime(String tmaketime) {
        this.tmaketime = tmaketime;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public String getVadjuster() {
        return vadjuster;
    }

    public void setVadjuster(String vadjuster) {
        this.vadjuster = vadjuster;
    }

    public String getVbillcode() {
        return vbillcode;
    }

    public void setVbillcode(String vbillcode) {
        this.vbillcode = vbillcode;
    }

    public String getVnote() {
        return vnote;
    }

    public void setVnote(String vnote) {
        this.vnote = vnote;
    }

    public String getVshldarrivedate() {
        return vshldarrivedate;
    }

    public void setVshldarrivedate(String vshldarrivedate) {
        this.vshldarrivedate = vshldarrivedate;
    }

    public String getVuserdef1() {
        return vuserdef1;
    }

    public void setVuserdef1(String vuserdef1) {
        this.vuserdef1 = vuserdef1;
    }

    public String getVuserdef10() {
        return vuserdef10;
    }

    public void setVuserdef10(String vuserdef10) {
        this.vuserdef10 = vuserdef10;
    }

    public String getVuserdef11() {
        return vuserdef11;
    }

    public void setVuserdef11(String vuserdef11) {
        this.vuserdef11 = vuserdef11;
    }

    public String getVuserdef12() {
        return vuserdef12;
    }

    public void setVuserdef12(String vuserdef12) {
        this.vuserdef12 = vuserdef12;
    }

    public String getVuserdef13() {
        return vuserdef13;
    }

    public void setVuserdef13(String vuserdef13) {
        this.vuserdef13 = vuserdef13;
    }

    public String getVuserdef14() {
        return vuserdef14;
    }

    public void setVuserdef14(String vuserdef14) {
        this.vuserdef14 = vuserdef14;
    }

    public String getVuserdef15() {
        return vuserdef15;
    }

    public void setVuserdef15(String vuserdef15) {
        this.vuserdef15 = vuserdef15;
    }

    public String getVuserdef16() {
        return vuserdef16;
    }

    public void setVuserdef16(String vuserdef16) {
        this.vuserdef16 = vuserdef16;
    }

    public String getVuserdef17() {
        return vuserdef17;
    }

    public void setVuserdef17(String vuserdef17) {
        this.vuserdef17 = vuserdef17;
    }

    public String getVuserdef18() {
        return vuserdef18;
    }

    public void setVuserdef18(String vuserdef18) {
        this.vuserdef18 = vuserdef18;
    }

    public String getVuserdef19() {
        return vuserdef19;
    }

    public void setVuserdef19(String vuserdef19) {
        this.vuserdef19 = vuserdef19;
    }

    public String getVuserdef2() {
        return vuserdef2;
    }

    public void setVuserdef2(String vuserdef2) {
        this.vuserdef2 = vuserdef2;
    }

    public String getVuserdef20() {
        return vuserdef20;
    }

    public void setVuserdef20(String vuserdef20) {
        this.vuserdef20 = vuserdef20;
    }

    public String getVuserdef3() {
        return vuserdef3;
    }

    public void setVuserdef3(String vuserdef3) {
        this.vuserdef3 = vuserdef3;
    }

    public String getVuserdef4() {
        return vuserdef4;
    }

    public void setVuserdef4(String vuserdef4) {
        this.vuserdef4 = vuserdef4;
    }

    public String getVuserdef5() {
        return vuserdef5;
    }

    public void setVuserdef5(String vuserdef5) {
        this.vuserdef5 = vuserdef5;
    }

    public String getVuserdef6() {
        return vuserdef6;
    }

    public void setVuserdef6(String vuserdef6) {
        this.vuserdef6 = vuserdef6;
    }

    public String getVuserdef7() {
        return vuserdef7;
    }

    public void setVuserdef7(String vuserdef7) {
        this.vuserdef7 = vuserdef7;
    }

    public String getVuserdef8() {
        return vuserdef8;
    }

    public void setVuserdef8(String vuserdef8) {
        this.vuserdef8 = vuserdef8;
    }

    public String getVuserdef9() {
        return vuserdef9;
    }

    public void setVuserdef9(String vuserdef9) {
        this.vuserdef9 = vuserdef9;
    }

}

